Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface TaskOwnerDefinition

All Superinterfaces:
  EventSource, Serializable

    public interface TaskOwnerDefinition

extends EventSource, Serializable

Represents the information needed to calculate the name of the owner for a task at runtime. The owner can either be specified literally, or it can be calculated dynamically by evaluating a named rule.

Nested Class Summary
`static interface` | `TaskOwnerDefinition.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`String` | `getOwnerOrRuleName()` Get the owner name or the name of the rule that will be used to calculate it.
`boolean` | `isCalculateOwnerViaRule()` Return an indication of whether the owner will be calculated by evaluating a rule at runtime.
`void` | `setCalculateOwnerViaRule(boolean calculateOwnerViaRule)` Return an indication of whether the owner will be calculated by evaluating a rule at runtime.
`void` | `setOwnerOrRuleName(String ownerOrRuleName)` set the owner name or the name of the rule that will be used to calculate it.

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Method Detail

### isCalculateOwnerViaRule

    boolean isCalculateOwnerViaRule()

  Return an indication of whether the owner will be calculated by evaluating a rule at runtime.

  Returns:
    True if the owner is calculated via a rule, false otherwise.

### setCalculateOwnerViaRule

    void setCalculateOwnerViaRule(boolean calculateOwnerViaRule)

  Return an indication of whether the owner will be calculated by evaluating a rule at runtime.

  Parameters:
    `calculateOwnerViaRule` - Pass true if the owner is calculated via a rule, false otherwise.

### getOwnerOrRuleName

    String getOwnerOrRuleName()

  Get the owner name or the name of the rule that will be used to calculate it. What the returned value represents depends on the return value of the isCalculateOwnerViaRule() method.

  Returns:
    The owner or rule name for this definition.

### setOwnerOrRuleName

    void setOwnerOrRuleName(String ownerOrRuleName)

  set the owner name or the name of the rule that will be used to calculate it. What the returned value represents depends on the return value of the isCalculateOwnerViaRule() method.

  Parameters:
    `ownerOrRuleName` - The owner or rule name for this definition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD